using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioCondutor
    {
        public IList<entidadeCondutor> SelectOthersTables(entidadeCondutor objCondutor)
        {
            dalCondutor dalCondutor = null;

            var lstCondutor = new List<entidadeCondutor>();
            DataTable dt = null;

            try
            {
                dalCondutor = new dalCondutor();
                dt = dalCondutor.SelectOthersTables(objCondutor);

                foreach (DataRow dr in dt.Rows)
                {
                    objCondutor = new entidadeCondutor();

                    if (!Convert.IsDBNull(dr["ID"]))
                        objCondutor.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objCondutor.DESCRICAO = dr["DESCRICAO"].ToString();

                    lstCondutor.Add(objCondutor);
                }
                return lstCondutor;
            }
            catch (Exception)
            {
                throw;
            }
        }


    }
}
